Archive Mobility Migrations

Archive Mobility Migrations
Archive one or more migrations.

Archives completed, failed, or cancelled migrations (soft delete).

Request
URI
POST
https://{server}/hybridity/api/mobility/migrations/archive
COPY
Request Body

Array of objects containing migrationId and migrationGroupId.

archiveMigrationsRequest of type(s) application/json
Required
{
    "items": [
        {
            "migrationId": "string",
            "migrationGroupId": "string"
        }
    ],
    "filter": {
        "migrationType": [
            {}
        ],
        "state": [
            {}
        ]
    }
}
array of object
items
Optional

items

object
filter
Optional

filter

Authentication
This operation uses the following authentication methods.
Responses
200

ok

Returns migrationIntentsPostResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ],
    "warnings": [
        {
            "message": "string"
        }
    ],
    "items": [
        {
            "migrationId": "string",
            "migrationGroupId": "string",
            "entityId": "string",
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ],
            "warnings": [
                {
                    "message": "string"
                }
            ]
        }
    ]
}
array of object
errors
Optional

errors

array of object
warnings
Optional

warnings

array of object
items
Optional

items


400

Bad Request

Returns migrationIntentsPostResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ],
    "warnings": [
        {
            "message": "string"
        }
    ],
    "items": [
        {
            "migrationId": "string",
            "migrationGroupId": "string",
            "entityId": "string",
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ],
            "warnings": [
                {
                    "message": "string"
                }
            ]
        }
    ]
}
array of object
errors
Optional

errors

array of object
warnings
Optional

warnings

array of object
items
Optional

items


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/mobility/migrations/archive